#!/bin/sh
export PATH='/usr/lib/distcc/bin:/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: wai-extra
version: 3.0.20.2
id: wai-extra-3.0.20.2-DnRUnTF4FEV4J88NqlZIRj
key: wai-extra-3.0.20.2-DnRUnTF4FEV4J88NqlZIRj
license: MIT
maintainer: michael@snoyman.com
stability: Stable
homepage: http://github.com/yesodweb/wai
synopsis: Provides some basic WAI handlers and middleware.
description:
    Provides basic WAI handler and middleware functionality:
    .
    * WAI Testing Framework
    .
    Hspec testing facilities and helpers for WAI.
    .
    * Event Source/Event Stream
    .
    Send server events to the client. Compatible with the JavaScript
    EventSource API.
    .
    * Accept Override
    .
    Override the Accept header in a request. Special handling for the
    _accept query parameter (which is used throughout WAI override the
    Accept header).
    .
    * Add Headers
    .
    WAI Middleware for adding arbitrary headers to an HTTP request.
    .
    * Clean Path
    .
    Clean a request path to a canonical form.
    .
    * GZip Compression
    .
    Negotiate HTTP payload gzip compression.
    .
    * HTTP Basic Authentication
    .
    WAI Basic Authentication Middleware which uses Authorization header.
    .
    * JSONP
    .
    \"JSON with Padding\" middleware. Automatic wrapping of JSON
    responses to convert into JSONP.
    .
    * Method Override / Post
    .
    Allows overriding of the HTTP request method via the _method query string
    parameter.
    .
    * Request Logging
    .
    Request logging middleware for development and production environments
    .
    * Request Rewrite
    .
    Rewrite request path info based on a custom conversion rules.
    .
    * Stream Files
    .
    Convert ResponseFile type responses into ResponseStream type.
    .
    * Virtual Host
    .
    Redirect incoming requests to a new host based on custom rules.
    .
    .
    API docs and the README are available at <http://www.stackage.org/package/wai-extra>.
category: Web
author: Michael Snoyman
exposed: True
indefinite: False
exposed-modules:
    Network.Wai.EventSource Network.Wai.EventSource.EventStream
    Network.Wai.Handler.CGI Network.Wai.Handler.SCGI Network.Wai.Header
    Network.Wai.Middleware.AcceptOverride
    Network.Wai.Middleware.AddHeaders Network.Wai.Middleware.Approot
    Network.Wai.Middleware.Autohead Network.Wai.Middleware.CleanPath
    Network.Wai.Middleware.ForceDomain Network.Wai.Middleware.ForceSSL
    Network.Wai.Middleware.Gzip Network.Wai.Middleware.HttpAuth
    Network.Wai.Middleware.Jsonp Network.Wai.Middleware.Local
    Network.Wai.Middleware.MethodOverride
    Network.Wai.Middleware.MethodOverridePost
    Network.Wai.Middleware.RequestLogger
    Network.Wai.Middleware.RequestLogger.JSON
    Network.Wai.Middleware.Rewrite Network.Wai.Middleware.Routed
    Network.Wai.Middleware.StreamFile
    Network.Wai.Middleware.StripHeaders Network.Wai.Middleware.Vhost
    Network.Wai.Parse Network.Wai.Request Network.Wai.Test
    Network.Wai.Test.Internal Network.Wai.UrlMap
hidden-modules: Network.Wai.Middleware.RequestLogger.Internal
abi: 1df45c0dd3e2110badf4a6f7a81f4dfe
trusted: False
import-dirs: /usr/lib/ghc-8.2.2/site-local/wai-extra-3.0.20.2
library-dirs: /usr/lib/ghc-8.2.2/site-local/wai-extra-3.0.20.2
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/arm-linux-ghc-8.2.2/wai-extra-3.0.20.2
hs-libraries: HSwai-extra-3.0.20.2-DnRUnTF4FEV4J88NqlZIRj
depends:
    base-4.10.1.0 bytestring-0.10.8.2 wai-3.2.1.1-CxsYXmrc3SU8ilHGN3PgZ
    old-locale-1.0.0.7-uLYLcRn7Nv8SkmeS8fMf9 time-1.8.0.2
    network-2.6.3.2-Elf6Dxkfz0iKjb1zv5eBTP directory-1.3.0.2
    transformers-0.5.2.0 blaze-builder-0.4.0.2-ClyQj7ny9rnJd2QFCbHKRH
    http-types-0.9.1-LLq3nvC0GR761npQ3LSltX
    text-1.2.2.2-E3rQA0mJl73IvZIzvmwqAj
    case-insensitive-1.2.0.10-BoRVwnTiXXU9RJ6NEnu1BA
    data-default-class-0.1.2.0-ImBMrJK18PFLLtssITDnZ5
    fast-logger-2.4.10-7IZhsa3SVBX2pZ1F8Lf30v
    wai-logger-2.3.0-GwR2Pmq729XD7Yv8Xw8Pe2
    ansi-terminal-0.7.1.1-Dh7XzY8d9TAbWhL1ZsstE
    resourcet-1.1.10-9ZnD9eSbn8b2f4IrDnWp0t
    void-0.7.2-FiGeS4PZxPp8gUDrtvjFKC
    stringsearch-0.3.6.6-5wkiVsEYY78BZshzFV6bBe containers-0.5.10.2
    base64-bytestring-1.0.0.1-8MlzMz2YH3lCqJ4GOwL1Be
    word8-0.1.3-C7vr3ObxpJ0EFhIkA3lNrM
    lifted-base-0.2.3.11-DwsH5fxK4NjGEU8txxSKm8 deepseq-1.4.3.0
    streaming-commons-0.1.18-3ogPbPqmMURCI8aM6sC1jd
    unix-compat-0.4.3.1-9X6l1OQmDE7ClflprogzfQ
    cookie-0.4.3-1GClGnBUUWb6JqB8uZckQR
    vault-0.3.0.7-LVGDdLOyQZdAPS9NlGuRq7
    zlib-0.6.1.2-3jYpKaDVsj2d994OadtMM
    aeson-1.2.3.0-LNkLuLvRI8W9I8ocVQs80F
    iproute-1.7.1-HgjmZ3OLRDVGrhp2eIf7PW unix-2.7.2.2
abi-depends: base-4.10.1.0=0ea45191c57c268b2351cb731ab6a0d6
             bytestring-0.10.8.2=4b2726b654ceeff6535e698a2a1e724e
             wai-3.2.1.1-CxsYXmrc3SU8ilHGN3PgZ=3d331e058fe16e8ada8f8121006882ec
             old-locale-1.0.0.7-uLYLcRn7Nv8SkmeS8fMf9=a09774905d29698e6c89ba4927e5c216
             time-1.8.0.2=d7392e85059cb108aeb68d6e24815970
             network-2.6.3.2-Elf6Dxkfz0iKjb1zv5eBTP=a333d9df3290e5924c2ef4f5f4b24781
             directory-1.3.0.2=7b913664ccd770192b307d7c4c6817cc
             transformers-0.5.2.0=b5dee110a615d751493b7ce1c6f95946
             blaze-builder-0.4.0.2-ClyQj7ny9rnJd2QFCbHKRH=9a0562647033c21b2abf88c991a65d08
             http-types-0.9.1-LLq3nvC0GR761npQ3LSltX=8737ff00443d120d7dd51745f32137a9
             text-1.2.2.2-E3rQA0mJl73IvZIzvmwqAj=19cd54ed0f93cc2e72d3ff0c754f5306
             case-insensitive-1.2.0.10-BoRVwnTiXXU9RJ6NEnu1BA=4295449faa2e312746ed6e93c93f9c1e
             data-default-class-0.1.2.0-ImBMrJK18PFLLtssITDnZ5=59d0190781dd74e9cf2161eb5998f2f1
             fast-logger-2.4.10-7IZhsa3SVBX2pZ1F8Lf30v=4d6669547336ee2ddafb31bf39ac24da
             wai-logger-2.3.0-GwR2Pmq729XD7Yv8Xw8Pe2=20a51455ee7cbe5781db1855ed4957d3
             ansi-terminal-0.7.1.1-Dh7XzY8d9TAbWhL1ZsstE=d9f2a1ce1d226f75ea8fb44a88f58b7b
             resourcet-1.1.10-9ZnD9eSbn8b2f4IrDnWp0t=f535b5e5a897661c493ba14a3655526f
             void-0.7.2-FiGeS4PZxPp8gUDrtvjFKC=a5672067c7a1184b41916f0fb2d0c330
             stringsearch-0.3.6.6-5wkiVsEYY78BZshzFV6bBe=292f66bdec412c120260c59a3319bc20
             containers-0.5.10.2=0f9db0d1b935cacba444aac19f4cb54d
             base64-bytestring-1.0.0.1-8MlzMz2YH3lCqJ4GOwL1Be=fd5db0dc9688093c1ac2c3223371478e
             word8-0.1.3-C7vr3ObxpJ0EFhIkA3lNrM=7fb6f62563c8e31582794e276e997542
             lifted-base-0.2.3.11-DwsH5fxK4NjGEU8txxSKm8=1acab8be8bf897c4c2e82cc63fed9725
             deepseq-1.4.3.0=e843b5d736cc095915bf2399fddf152e
             streaming-commons-0.1.18-3ogPbPqmMURCI8aM6sC1jd=442abe77ed1435a68468695510476366
             unix-compat-0.4.3.1-9X6l1OQmDE7ClflprogzfQ=345a389dfaa60cac4e76e74a938e5e3c
             cookie-0.4.3-1GClGnBUUWb6JqB8uZckQR=00bb916858cc9525abef17c0bc21a8cc
             vault-0.3.0.7-LVGDdLOyQZdAPS9NlGuRq7=032c6ea60398069391cdb46632f71736
             zlib-0.6.1.2-3jYpKaDVsj2d994OadtMM=fc994ec0331fc01f98e1d968398a1aa2
             aeson-1.2.3.0-LNkLuLvRI8W9I8ocVQs80F=4c58219744f0571919d1814f029cc115
             iproute-1.7.1-HgjmZ3OLRDVGrhp2eIf7PW=d8bc3b1ce80426bed06ce56acc609154
             unix-2.7.2.2=3df01ca0d7640dab598065ff1b1cffeb
haddock-interfaces: /usr/share/doc/haskell-wai-extra/html/wai-extra.haddock
haddock-html: /usr/share/doc/haskell-wai-extra/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

